package hmggirlfront.render.mob;

import hmggirlfront.entity.mob.EntityELID_ZOMBIE;
import net.minecraft.client.model.ModelZombie;
import net.minecraft.client.renderer.entity.RenderBiped;
import net.minecraft.client.renderer.entity.RenderManager;
import net.minecraft.client.renderer.entity.layers.LayerBipedArmor;
import net.minecraft.entity.monster.EntityZombie;
import net.minecraft.util.ResourceLocation;
import net.minecraftforge.fml.relauncher.Side;
import net.minecraftforge.fml.relauncher.SideOnly;

@SideOnly(Side.CLIENT)
public class RenderELID_ZOMBIE extends RenderBiped<EntityELID_ZOMBIE>
{
    private static final ResourceLocation ZOMBIE_TEXTURES = new ResourceLocation("hmggirlfront:textures/entity/mob/elid_zombie.png");

    public RenderELID_ZOMBIE(RenderManager renderManagerIn)
    {
        super(renderManagerIn, new ModelELIDZombie(), 0.5F);
        LayerBipedArmor layerbipedarmor = new LayerBipedArmor(this)
        {
            protected void initArmor()
            {
                this.modelLeggings = new ModelELIDZombie(0.5F, true);
                this.modelArmor = new ModelELIDZombie(1.0F, true);
            }
        };
        this.addLayer(layerbipedarmor);
    }

    /**
     * Returns the location of an entity's texture. Doesn't seem to be called unless you call Render.bindEntityTexture.
     */
    protected ResourceLocation getEntityTexture(EntityELID_ZOMBIE entity)
    {
        return ZOMBIE_TEXTURES;
    }
}